package com.aucma.report.mapper;

import java.util.HashMap;
import java.util.List;
import com.aucma.report.domain.RecordSwitchOrder;

/**
 * 切换订单管理Mapper接口
 * 
 * @author Yinq
 * @date 2024-04-23
 */
public interface RecordSwitchOrderMapper 
{
    /**
     * 查询切换订单管理
     * 
     * @param objId 切换订单管理主键
     * @return 切换订单管理
     */
    public RecordSwitchOrder selectRecordSwitchOrderByObjId(Long objId);

    /**
     * 查询切换订单管理列表
     * 
     * @param recordSwitchOrder 切换订单管理
     * @return 切换订单管理集合
     */
    public List<RecordSwitchOrder> selectRecordSwitchOrderList(RecordSwitchOrder recordSwitchOrder);

    /**
     * 新增切换订单管理
     * 
     * @param recordSwitchOrder 切换订单管理
     * @return 结果
     */
    public int insertRecordSwitchOrder(RecordSwitchOrder recordSwitchOrder);

    /**
     * 修改切换订单管理
     * 
     * @param recordSwitchOrder 切换订单管理
     * @return 结果
     */
    public int updateRecordSwitchOrder(RecordSwitchOrder recordSwitchOrder);

    /**
     * 删除切换订单管理
     * 
     * @param objId 切换订单管理主键
     * @return 结果
     */
    public int deleteRecordSwitchOrderByObjId(Long objId);

    /**
     * 批量删除切换订单管理
     * 
     * @param objIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRecordSwitchOrderByObjIds(Long[] objIds);

    /**
     * 查询箱体条码信息
     * @param code
     * @return
     */
    List<HashMap<String, String>> selectPrintBarcode(String code);

    int printSupplementBarcode(HashMap<String, String> hashMap);

    int updatePrintCode(RecordSwitchOrder recordSwitchOrder);

}
